## octave-fixed 0.7.6

=== DESCRIPTION ===
Name: Fixed
Version: 0.7.6
Date: 2008-04-29
Author: David Bateman
Maintainer: David Bateman
Title: Fixed Point Computations.
Description: Fixed point real and complex matrix toolbox
Depends: octave (> 2.9.14)
Autoload: yes
License: GPL version 2 or later
Url: http://octave.sf.net

=== examples/Makefile ===
sinclude ../src/Makeconf

LINKTARGETS = fifft.oct
LINKSOURCE = ffft.oct
SOURCES = $(wildcard *.cc)
TARGETS = $(patsubst %.cc,%.oct,$(SOURCES)) $(LINKTARGETS)
OBJECTS = $(patsubst %.cc,%.o,$(SOURCES))
DEPENDS = $(patsubst %.cc,%.d,$(SOURCES))
INCLUDES = -I../src
DEFINES = 

ifneq (,$(findstring cygwin,$(canonical_host_type)))
   MOFLAGS = -L../src -lfixed
endif
ifneq (,$(findstring mingw,$(canonical_host_type)))
   MOFLAGS = -L../src -lfixed
endif
ifneq (,$(findstring msdosmsvc,$(canonical_host_type)))
   MOFLAGS = -L../src -lfixed
endif

.PHONY: all clean count
%.oct : %.cc 
.SUFFIXES:
.SUFFIXES: .cc .oct .o .h
# This stuff doesn't build on OS X at the moment. Till someone
# fixes it, disable the build...
ifeq (,$(findstring darwin,$(canonical_host_type)))
all: $(DEPENDS) $(OBJECTS) $(TARGETS)
else
all:
	@echo "****** WARNING: Building of examples disabled for Darwin";
endif

ifneq (,$(wildcard *.d))
include $(wildcard *.d)
endif

$(LINKTARGETS) :
	@echo "Symbolic linking $@ to $(LINKSOURCE)"; \
	$(RM) $@; \
	$(LN_S) $(LINKSOURCE) $@

%.oct: %.d %.o
	@echo "Linking $@"; \
	$(MKOCTFILE) $(MOFLAGS) $(@:.oct=.o) -o $@

%.d: %.cc
	@echo "Depending $<"; \
	$(MKOCTFILE) $(INCLUDES) $(DEFINES) -M $<

%.o: %.cc
	@echo "Compiling $@"; \
	$(MKOCTFILE) $(INCLUDES) $(DEFINES) -c $< 

clean:
	@echo "Cleaning..."; \
	$(RM) $(OBJECTS) $(DEPENDS) $(TARGETS) *~ octave-core *.ps

count:
	wc *{.cc,.h}

## octave-fixed 0.7.8

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: Fixed
-Version: 0.7.6
-Date: 2008-04-29
+Version: 0.7.8
+Date: 2008-08-23
 Author: David Bateman
 Maintainer: David Bateman
 Title: Fixed Point Computations.

## octave-fixed 0.7.10

=== DESCRIPTION ===
Name: Fixed
Version: 0.7.10
Date: 2009-05-18
Author: David Bateman
Maintainer: David Bateman
Title: Fixed Point Computations
Description: Fixed point real and complex matrix toolbox
Depends: octave (> 3.1.54)
Autoload: yes
License: GPL version 2 or later
Url: http://octave.sf.net

=== src/Makefile ===
sinclude Makeconf

FIXEDVERTARGET = fixedversion.h
FIXEDTARGET = fixed.oct 

DLLDEF =
ADD_FLAGS =
ifneq (,$(findstring cygwin,$(canonical_host_type)))
   DLLDEF = -DFIXED_DLL
   ADD_FLAGS = -Wl,--out-implib=libfixed.a
endif
ifneq (,$(findstring mingw,$(canonical_host_type)))
   DLLDEF = -DFIXED_DLL
   ADD_FLAGS = -Wl,--out-implib=libfixed.a
endif
ifneq (,$(findstring msdosmsvc,$(canonical_host_type)))
   DLLDEF = -DFIXED_DLL
endif

FIXEDSOURCES = fixedColVector.cc fixedRowVector.cc \
	fixedMatrix.cc fixedComplex.cc fixedCColVector.cc fixedCRowVector.cc \
	fixedCMatrix.cc Array-f.cc fixed-conv.cc ov-fixed.cc ov-fixed-mat.cc \
	fixedNDArray.cc fixedCNDArray.cc \
	ov-fixed-complex.cc ov-fixed-cx-mat.cc \
	op-fs-fs.cc   op-fs-fm.cc   op-fm-fs.cc   op-fm-fm.cc \
	op-fs-fcs.cc  op-fs-fcm.cc  op-fm-fcs.cc  op-fm-fcm.cc \
	op-fcs-fs.cc  op-fcs-fm.cc  op-fcm-fs.cc  op-fcm-fm.cc \
	op-fcs-fcs.cc op-fcs-fcm.cc op-fcm-fcs.cc op-fcm-fcm.cc \
	fixed-var.cc fixed.cc
FIXEDOBJECTS = fixed-int.o $(patsubst %.cc,%.o,$(FIXEDSOURCES))
FIXEDDEPENDS = fixed-int.d $(patsubst %.cc,%.d,$(FIXEDSOURCES))

TARGETS = $(FIXEDTARGET)
OBJECTS = $(FIXEDOBJECTS)

ifeq ($(MAKECMDGOALS),all)
  DEPENDS = $(FIXEDDEPENDS)
endif
ifeq ($(MAKECMDGOALS),)
  DEPENDS = $(FIXEDDEPENDS)
endif

DELETES = $(OBJECTS) $(FIXEDDEPENDS) $(TARGETS) $(FIXEDVERTARGET) \
	core octave-core *~ *.d-t int/fixed.o int/fixed.d \
	int/fixed.d-t FILES

DEFINES = -DOCTAVE_FORGE $(DLLDEF)
MOFLAGS =

.PHONY: all clean count

.SUFFIXES:

.PRECIOUS: %.d %.o

all : $(TARGETS)
	@if [ -f FILES ]; then \
	  $(RM) -f FILES; \
	fi; \
	touch FILES; \
	for _f in $(TARGETS); do \
	  echo $$_f >> FILES; \
	done

ifndef OCTAVE_FORGE
install :
	@echo "Where exactly do you want me to install to!!!"
else
install : 
	@$(INSTALL) -d $(DESTDIR)$(MPATH)/fixed

$(FIXEDOBJECTS) $(FIXEDDEPENDS): DEFINES := $(DEFINES) $(DLLDEF)
endif

$(FIXEDTARGET) : $(DEPENDS) $(FIXEDOBJECTS) 
	@echo "Linking $@"; \
	$(MKOCTFILE) $(ADD_FLAGS) $(MOFLAGS) $(FIXEDOBJECTS) $(EXTRALIBS) -o $@

$(FIXEDVERTARGET) :
	@echo "Creating $@"; $(RM) -f $@; \
	echo "#define OCTAVEFIXEDVERSION \"$(OCTAVEFIXEDVERSION)\"" > $@

ifneq (,$(DEPENDS))
  sinclude $(DEPENDS)
endif

fixed-int.d : int/fixed.cc
	@echo "Depending $<"; \
	$(MKOCTFILE) $(MOFLAGS) $(DEFINES) -M int/fixed.cc; \
	$(LN_S) $(patsubst %.cc,%.d,$<) $@

fixed-var.d : $(FIXEDVERTARGET)

fixed-int.o : int/fixed.cc fixed-int.d
	@echo "Compiling $@ from $<"; \
	$(MKOCTFILE) $(MOFLAGS) $(DEFINES) -c $<; \
	$(RM) -f $@ ; \
	$(LN_S) $(patsubst %.cc,%.o,$<) $@

%.d: %.cc
	@echo "Depending $<"; \
	$(MKOCTFILE) $(MOFLAGS) $(DEFINES) -M $<

%.o:%.cc
%.o:%.cc %.d
	@echo "Compiling $@"; \
	$(MKOCTFILE) $(MOFLAGS) $(DEFINES) -c $< 

clean:
	@echo "Cleaning..."; \
	$(RM) -f $(DELETES)

realclean:
	@echo "Cleaning..."; \
	$(RM) -f $(DELETES) Makeconf config.log config.status

dist:

count:
	wc *{.cc,.h,.m} int/*.{cc,h}

=== debian/changelog ===
octave-fixed (0.7.10-3) unstable; urgency=low

  * debian/control: 
    - Remove Rafael Laboissiere from Uploaders (Closes: #571931)
    - Remove Ólafur Jens Sigurðsson <ojsbug@gmail.com> from Uploaders 
  * Bump Standards-Version to 3.9.1, no changes needed
  * Switch to dpkg-source 3.0 (quilt) format
  * Update watch file to changed upstream location

 -- Thomas Weber <tweber@debian.org>  Fri, 15 Apr 2011 19:49:14 +0200

octave-fixed (0.7.10-2) unstable; urgency=low

  * Upload to unstable. 

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Wed, 02 Dec 2009 23:40:46 +0100

octave-fixed (0.7.10-1) experimental; urgency=low

  [ Rafael Laboissiere ]
  * New upstream release
  * debian/control:
    + (Standards-Version): Bump to 3.8.1 (add file debian/README.source)
    + (Depends): Add ${misc:Depends}
    + (Vcs-Git, Vcs-Browser): Adjust to new Git repository
    + Build-depend on octave-pkg-dev >= 0.7.0, such that the
      package is built against octave3.2
  * debian/copyright:
    + Use DEP5 URL in Format-Specification
    + Use separate License stanzas for instructing about the location of
      the different licenses used in the package

  [ Thomas Weber ]
  * New upstream release
  * Bump standards version to 3.8.2, no changes needed
  * Use octave-fixed.docs for document's installation
  * debian/patches/build-with-3.2: New patch, taken from upstream's SVN for
    building with Octave 3.2

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Sat, 18 Jul 2009 22:42:58 +0200

octave-fixed (0.7.8-3) unstable; urgency=low

  [ Rafael Laboissiere ]
  * debian/copyright: Add header
  * debian/control: Bump build-dependency on octave-pkg-dev to >= 0.6.4,
    such that the package is built with the versioned packages directory

  [ Thomas Weber ]
  * Upload to unstable

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Sat, 04 Apr 2009 20:51:13 +0200

octave-fixed (0.7.8-2) experimental; urgency=low

  * debian/rules: Use debian/clean instead of manually cleaning files
  * debian/compat, debian/control: Bump build-dependency on debhelper to
    >= 7.0.0, otherwise debian/clean is moot
  * debian/clean: New file

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Sun, 07 Dec 2008 19:13:34 +0100

octave-fixed (0.7.8-1) experimental; urgency=low

  [ Rafael Laboissiere ]
  * debian/rules: Drop removal of files, they are removed in new upstream
  * debian/control: Bump Standards-Version to 3.8.0 (no changes needed)

  [ Thomas Weber ]
  * New upstream release
  * debian/control:
    - Bump dependency on octave-pkg-dev to 0.6.1, to get the experimental
      version
    - Add quilt for patches
  * debian/patches/install-info-files: Install fixed.texi into info structure
    (closes: #502295)
  * debian/rules: create info file for installation, add quilt rule

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Fri, 05 Dec 2008 23:33:16 +0100

octave-fixed (0.7.6-2) unstable; urgency=low

  [ Ólafur Jens Sigurðsson ]
  * debian/copyright: Add licensing terms for the files in the doc
    directory (finally, closes: #468500)

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 07 Jun 2008 19:12:00 +0200

octave-fixed (0.7.6-1) unstable; urgency=low

  [ Ólafur Jens Sigurðsson ]
  * New upstream release.  The source files doc/fixed.txi and
    doc/fixed.texi for the PDF documentation are included in this version
    (really, closes: #468500)

  [ Rafael Laboissiere ]
  * Drop patches pkg-add-autoloads.diff, mister-proper.diff and
    shared-lib.diff (applied upstream)
  * debian/rules, debian/control: Do not use quilt anymore

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 10 May 2008 08:25:31 +0000

octave-fixed (0.7.5-1) unstable; urgency=low

  * Initial release (closes: #468500)

 -- Ólafur Jens Sigurðsson <ojsbug@gmail.com>  Fri, 08 Feb 2008 00:43:04 +0100

=== debian/control ===
Source: octave-fixed
Section: math
Priority: optional
Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
Uploaders: Thomas Weber <tweber@debian.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7), cdbs, octave-pkg-dev (>= 0.7.0)
Standards-Version: 3.9.1
Homepage: http://octave.sourceforge.net/fixed
Vcs-Git: git://git.debian.org/git/pkg-octave/octave-fixed.git
Vcs-Browser: http://git.debian.org/?p=pkg-octave/octave-fixed.git

Package: octave-fixed
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${octave:Depends}
Description: fixed point computation for Octave
 When implementing algorithms in hardware, it is common to reduce the
 accuracy of the representation of numbers to a smaller number of bits.
 This allows much lower complexity in the hardware, at the cost of
 accuracy and potential overflow problems. Such representations are
 known as fixed point.
 .
 This package supplies a fixed point type that allows Octave, a
 numerical computational software, to model the effects of such a
 reduction in accuracy of the representation of numbers.  The major
 advantage of this package is that with correctly written Octave
 scripts, the same code can be used to test both fixed and floating
 point representations of numbers.
 .
 This Octave add-on package is part of the Octave-Forge project.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/cdbs/1/class/octave-pkg.mk

# generate info docs after the build
build/octave-fixed::
	cd doc/ && makeinfo fixed.texi

=== debian/watch ===
version=3
http://octave.sourceforge.net/packages.php \
    http://downloads\.sourceforge\.net/octave/fixed-([\d.]+)\.tar\.gz\?download
